/**
 *    Copyright ${license.git.copyrightYears} the original author or authors.
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */
package org.apache.ibatis.migration.runtime_migration.scripts_java;

import java.math.BigDecimal;

import org.apache.ibatis.migration.MigrationScript;

public class V001_CreateChangelog implements MigrationScript {

  @Override
  public BigDecimal getId() {
    return new BigDecimal(this.getClass().getSimpleName().substring(1, 4));
  }

  @Override
  public String getDescription() {
    return "Create changelog";
  }

  @Override
  public String getUpScript() {
    return "CREATE TABLE changelog (" + "ID NUMERIC(20,0) NOT NULL," + "APPLIED_AT VARCHAR(25) NOT NULL,"
        + "DESCRIPTION VARCHAR(255) NOT NULL); "

        + "ALTER TABLE changelog " + "ADD CONSTRAINT PK_changelog " + "PRIMARY KEY (id);";
  }

  @Override
  public String getDownScript() {
    return "DROP TABLE changelog;";
  }

}
